# coding: utf-8

"""
    Faxsuite RESTful API

    <p><img src=\"https://service.fax-api.de/4.0/img/fax-api.png\" height=\"100\" title=\"title\" /></p>  # API Definition <p><img src=\"https://service.fax-api.de/4.0/img/open_api.png\" height=\"50\" title=\"title\" /></p>  Die <b>RESTful API</b> basiert auf den <b>OpenAPI v3.0.3</b> Spezifikationen. OpenAPI Spezifikationen (OAS) definieren eine standardisierte und programmiersprachenunabhängige Schnittstellenbeschreibung für RESTful APIs. Diese Schnittstelle ist nutzbar ohne dass der Zugang zum Quellcode, zusätzliche Dokumentation oder die Untersuchung des Netzwerk-Traffics erforderlich ist. Somit kann ein Nutzer den Dienst mit einem Minimum an Implementierungslogik verstehen, mit ihm interagieren und einfach und schnell als API-Schnittstelle in seine eigene Softwareanwendung integrieren..<br><br>Weitere Informationen zu OpenAPI finden sie hier: <a href=\"https://www.openapis.org/\"><b>https://www.openapis.org/</b></a>   # Einleitung  <p><img src=\"https://service.fax-api.de/4.0/img/fax-api-faxsuite_v2.png\" height=\"350\" title=\"title\" />  </p>  Mit unserer <b>Faxsuite</b> können Sie überall und zu jederzeit Faxe senden und empfangen. Neben vielen anderen Funktionalitäten bietet Ihnen unsere <b>Faxsuite</b> auch eine RESTFul API-Schnittstelle. Damit können Sie z. B. aus Ihrer eigenen Softwareanwendung Faxe automatisiert versenden. Zeitintensive und teure Investionen in Hardware und Software gehören der Vergangenheit an und sind nicht mehr notwendig..<br><br>Um den API Service nutzen zu können, müssen Sie sich für die <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a> anmelden. Ein kostenloser Testzugang kann <a href=\"https://www.faxverteiler.com/testzugang/\"><b>hier</b></a> beantragt werden. (<i>To use the API service you need to sign up for the <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a>. A free trial access can be requested <a href=\"https://www.faxverteiler.com/testzugang/\"><b>here</b></a></i>).<br><br>Mit der <b>Faxsuite</b> haben Sie die Kontrolle über Ihre Fax-Kampangen. Mit dem kostenlosen Testzugang können Sie alle Faxsuite Module (Fax-API, Mail2Fax, Faxdrucker, Faxmailing und Faxempfang) unverbindlich ausprobieren. Sie bekommen 10 kostenlose Faxseiten, die Sie zum aktiven Kennenlernen unserer Faxsuite nutzen können. (<i>You can test the <b>Faxsuite</b> modules for four weeks without obligation. You will receive 10 free fax pages with the free trial access</i>)<br><br>Nachdem Sie den Zugang beantragt haben, können Sie sich <a href=\"https://www.faxsuite.de/\"><b>hier</b></a> in die <b>Faxsuite</b> einloggen. Unter dem Menüpunkt 'FAX-API | Konto verwalten' können Sie ein neues Fax-API Konto erstellen. Bei der Erstellung des Fax-API Kontos wird automatisch ein Autorisierungs-Schlüssel generiert, welchen Sie für den Zugang zur API-Schnittstelle benötigen. (<i>After creating a login you can access the <b>Faxsuite</b> <a href=\"https://www.faxsuite.de/\"><b>here</b></a>. In the menu 'FAX-API | Konto verwalten' you can create a new API-Account and receive the related token/key you need to gain access to our API service</i>).<br><br>Die standardisierte API Dokumentation wird Ihnen in zwei unterschiedlichen, als nicht <b>interaktive</b> und <b>interaktive</b> Varinaten angeboten:  |Name|Type|Link| |-----|-----|-------| | <b>Redoc</b> | non interactive | <b><a href=\"https://service.fax-api.de/4.0/rest/index.html\">click here for redoc</a></b> | <b>Swagger UI</b> | interactive (self hosted) | <b><a href=\"https://service.fax-api.de/4.0/rest/swagger-ui/index.html\">click here for swagger</a></b> |    # noqa: E501

    OpenAPI spec version: 4.0.0
    Contact: support@fax-api.de
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class JobRecipient(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'fax_number': 'str',
        'fax_number_norm': 'str',
        'international_dialing_code': 'str',
        'name': 'str',
        'recipient_reference': 'str',
        'fare_zone': 'int',
        'sender_time': 'datetime',
        'result_code': 'int',
        'result_text': 'str'
    }

    attribute_map = {
        'fax_number': 'faxNumber',
        'fax_number_norm': 'faxNumberNorm',
        'international_dialing_code': 'internationalDialingCode',
        'name': 'name',
        'recipient_reference': 'recipientReference',
        'fare_zone': 'fareZone',
        'sender_time': 'senderTime',
        'result_code': 'resultCode',
        'result_text': 'resultText'
    }

    def __init__(self, fax_number=None, fax_number_norm=None, international_dialing_code=None, name=None, recipient_reference=None, fare_zone=None, sender_time=None, result_code=None, result_text=None):  # noqa: E501
        """JobRecipient - a model defined in Swagger"""  # noqa: E501
        self._fax_number = None
        self._fax_number_norm = None
        self._international_dialing_code = None
        self._name = None
        self._recipient_reference = None
        self._fare_zone = None
        self._sender_time = None
        self._result_code = None
        self._result_text = None
        self.discriminator = None
        if fax_number is not None:
            self.fax_number = fax_number
        if fax_number_norm is not None:
            self.fax_number_norm = fax_number_norm
        if international_dialing_code is not None:
            self.international_dialing_code = international_dialing_code
        if name is not None:
            self.name = name
        if recipient_reference is not None:
            self.recipient_reference = recipient_reference
        if fare_zone is not None:
            self.fare_zone = fare_zone
        if sender_time is not None:
            self.sender_time = sender_time
        if result_code is not None:
            self.result_code = result_code
        if result_text is not None:
            self.result_text = result_text

    @property
    def fax_number(self):
        """Gets the fax_number of this JobRecipient.  # noqa: E501

        Recipient fax number  # noqa: E501

        :return: The fax_number of this JobRecipient.  # noqa: E501
        :rtype: str
        """
        return self._fax_number

    @fax_number.setter
    def fax_number(self, fax_number):
        """Sets the fax_number of this JobRecipient.

        Recipient fax number  # noqa: E501

        :param fax_number: The fax_number of this JobRecipient.  # noqa: E501
        :type: str
        """

        self._fax_number = fax_number

    @property
    def fax_number_norm(self):
        """Gets the fax_number_norm of this JobRecipient.  # noqa: E501

        Normed recipient fax number  # noqa: E501

        :return: The fax_number_norm of this JobRecipient.  # noqa: E501
        :rtype: str
        """
        return self._fax_number_norm

    @fax_number_norm.setter
    def fax_number_norm(self, fax_number_norm):
        """Sets the fax_number_norm of this JobRecipient.

        Normed recipient fax number  # noqa: E501

        :param fax_number_norm: The fax_number_norm of this JobRecipient.  # noqa: E501
        :type: str
        """

        self._fax_number_norm = fax_number_norm

    @property
    def international_dialing_code(self):
        """Gets the international_dialing_code of this JobRecipient.  # noqa: E501

        The International Dialing Code used for this fax  # noqa: E501

        :return: The international_dialing_code of this JobRecipient.  # noqa: E501
        :rtype: str
        """
        return self._international_dialing_code

    @international_dialing_code.setter
    def international_dialing_code(self, international_dialing_code):
        """Sets the international_dialing_code of this JobRecipient.

        The International Dialing Code used for this fax  # noqa: E501

        :param international_dialing_code: The international_dialing_code of this JobRecipient.  # noqa: E501
        :type: str
        """

        self._international_dialing_code = international_dialing_code

    @property
    def name(self):
        """Gets the name of this JobRecipient.  # noqa: E501

        Recipient name  # noqa: E501

        :return: The name of this JobRecipient.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this JobRecipient.

        Recipient name  # noqa: E501

        :param name: The name of this JobRecipient.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def recipient_reference(self):
        """Gets the recipient_reference of this JobRecipient.  # noqa: E501

        Recipient reference  # noqa: E501

        :return: The recipient_reference of this JobRecipient.  # noqa: E501
        :rtype: str
        """
        return self._recipient_reference

    @recipient_reference.setter
    def recipient_reference(self, recipient_reference):
        """Sets the recipient_reference of this JobRecipient.

        Recipient reference  # noqa: E501

        :param recipient_reference: The recipient_reference of this JobRecipient.  # noqa: E501
        :type: str
        """

        self._recipient_reference = recipient_reference

    @property
    def fare_zone(self):
        """Gets the fare_zone of this JobRecipient.  # noqa: E501

        Used fare zone for fax  # noqa: E501

        :return: The fare_zone of this JobRecipient.  # noqa: E501
        :rtype: int
        """
        return self._fare_zone

    @fare_zone.setter
    def fare_zone(self, fare_zone):
        """Sets the fare_zone of this JobRecipient.

        Used fare zone for fax  # noqa: E501

        :param fare_zone: The fare_zone of this JobRecipient.  # noqa: E501
        :type: int
        """

        self._fare_zone = fare_zone

    @property
    def sender_time(self):
        """Gets the sender_time of this JobRecipient.  # noqa: E501

        Time the was send to recipient. The format complies with ISO 8601 and contains date and time  # noqa: E501

        :return: The sender_time of this JobRecipient.  # noqa: E501
        :rtype: datetime
        """
        return self._sender_time

    @sender_time.setter
    def sender_time(self, sender_time):
        """Sets the sender_time of this JobRecipient.

        Time the was send to recipient. The format complies with ISO 8601 and contains date and time  # noqa: E501

        :param sender_time: The sender_time of this JobRecipient.  # noqa: E501
        :type: datetime
        """

        self._sender_time = sender_time

    @property
    def result_code(self):
        """Gets the result_code of this JobRecipient.  # noqa: E501

        Contains the result code for the fax. Value is only present if a result of the fax transmission is available, otherwise it is 'null'. Please see here for further information: <a href=\"https://hilfe.faxverteiler.com/ergebnis-code/\"><b>https://hilfe.faxverteiler.com/ergebnis-code/</b></a>  # noqa: E501

        :return: The result_code of this JobRecipient.  # noqa: E501
        :rtype: int
        """
        return self._result_code

    @result_code.setter
    def result_code(self, result_code):
        """Sets the result_code of this JobRecipient.

        Contains the result code for the fax. Value is only present if a result of the fax transmission is available, otherwise it is 'null'. Please see here for further information: <a href=\"https://hilfe.faxverteiler.com/ergebnis-code/\"><b>https://hilfe.faxverteiler.com/ergebnis-code/</b></a>  # noqa: E501

        :param result_code: The result_code of this JobRecipient.  # noqa: E501
        :type: int
        """

        self._result_code = result_code

    @property
    def result_text(self):
        """Gets the result_text of this JobRecipient.  # noqa: E501

        Contains the result text for the fax. Value is only present if a result of the fax transmission is available, otherwise it is 'null'. Please see here for further information: <a href=\"https://hilfe.faxverteiler.com/ergebnis-code/\"><b>https://hilfe.faxverteiler.com/ergebnis-code/</b></a>  # noqa: E501

        :return: The result_text of this JobRecipient.  # noqa: E501
        :rtype: str
        """
        return self._result_text

    @result_text.setter
    def result_text(self, result_text):
        """Sets the result_text of this JobRecipient.

        Contains the result text for the fax. Value is only present if a result of the fax transmission is available, otherwise it is 'null'. Please see here for further information: <a href=\"https://hilfe.faxverteiler.com/ergebnis-code/\"><b>https://hilfe.faxverteiler.com/ergebnis-code/</b></a>  # noqa: E501

        :param result_text: The result_text of this JobRecipient.  # noqa: E501
        :type: str
        """

        self._result_text = result_text

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(JobRecipient, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, JobRecipient):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
